<template>
  <div>
    <h2>Редактирование тарифа</h2>
    <b-form @submit="update">
      <b-form-group label="Наименование:">
        <b-form-input v-model="form.title" required placeholder="Наименование" />
      </b-form-group>
      <b-form-group label="Период (месяцы):">
        <b-form-input v-model="form.period" type="number" number no-wheel required />
      </b-form-group>
      <b-form-group label="Доступен:">
        <b-form-checkbox v-model="form.is_available">Доступен</b-form-checkbox>
      </b-form-group>
      <b-form-group label="Применим к оборудованию:">
        <b-form-checkbox
          v-for="item in equipment"
          :key="item._id"
          :value="item._id"
          v-model="form.applicable_to"
          stacked>{{ item.title }}</b-form-checkbox>
      </b-form-group>
      <b-button type="submit" variant="primary">
        Редактировать
      </b-button>
      <nuxt-link tag="button" class="btn btn-outline-secondary" :to="{path: `/equipment/${form._id}`}">Назад</nuxt-link>
    </b-form>
  </div>
</template>

<script>
import axios from 'axios'

export default {
  async asyncData ({ $config: { baseURL }, params }) {
    let response = await axios.get(`${baseURL}/equipment`)
    const equipment = response.data
    response = await axios.get(`${baseURL}/tariffs/${params.id}`)
    return { form: response.data, equipment, baseURL }
  },
  data () {
    return {
      form: {
        title: '',
        price: null,
        initial_fee: null,
        is_available: true,
        data: {}
      }
    }
  },
  head () {
    return {
      title: 'Редактирование тарифа'
    }
  },
  methods: {
    async update (e) {
      e.preventDefault()
      const response = await axios.patch(`${this.baseURL}/tariffs/${this.form._id}`, this.form)
      this.form = response.data
    }
  }
}
</script>

<style scoped>

</style>
